Skip to content
View as Markdown

GET Get Funnel​

GET
/funnels/{id}

Retrieve a single automation funnel by ID. Optionally includes blocks, block fields, funnel sequences, and composer context smart codes via the with[] parameter.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The funnel ID.

Type
integer
Required

Query Parameters

with[]

Include additional related data. Supported values: blocks, block_fields, funnel_sequences.

Type
array

Responses​

Funnel details with optional related data.

application/json
JSON
{
"funnel": {
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
],
"trigger": {
"label": "string",
"category": "string",
"description": "string"
}
},
"blocks": {
"additionalProperties": {
}
},
"block_fields": {
"additionalProperties": {
}
},
"funnel_sequences": [
{
"id": 0,
"funnel_id": 0,
"action_name": "string",
"title": "string",
"type": "string",
"settings": {
},
"conditions": [
{
}
],
"sequence": 0,
"delay": 0,
"c_delay": 0,
"status": "string",
"parent_id": 0,
"condition_type": "string",
"children": {
"yes": [
],
"no": [
]
},
"created_by": 0,
"created_at": "string",
"updated_at": "string"
}
],
"composer_context_codes": [
{
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI